/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_VIEW_DEFINES_H)
#define _VIEW_DEFINES_H

#define AVAILABLE_LANGS_LIST_ITEMS_PER_PAGE 3
#define NUMBER_OF_PAGE_INDICATORS 5
#define AVAILABLE_LANGS_LIST_ITEM_WIDTH 220
#define AVAILABLE_LANGS_LIST_ITEM_HEIGHT 210

#define EDJ_MAIN "edje/main.edj"
#define GRP_MAIN "main"
#define PART_MAIN_LANGUAGE "part_main_language"
#define PART_MAIN_AVAILABLE_LANGS "part_main_available_langs"
#define PART_MAIN_BUTTON "part_main_button"

#define EDJ_LANGUAGE "edje/language.edj"
#define GRP_LANGUAGE "language"
#define PART_LANGUAGE_MESSAGE "part_language_message"
#define PART_LANGUAGE_CUR_LANG "part_language_current_language"

#define SIGNAL_LANG_IMAGE_CHANGE "signal,lang_image,change"

#define EDJ_AVAILABLE_LANGS "edje/available_languages.edj"
#define GRP_AVAILABLE_LANGS "available_langs"
#define PART_AVAILABLE_LANGS_LIST "available_langs_list"

#define GRP_AVAILABLE_LANGS_ITEM "available_langs_item"
#define PART_AVAILABLE_LANGS_ITEM_IMAGE "available_langs_item_image"
#define PART_AVAILABLE_LANGS_ITEM_TITLE "available_langs_item_title"

#define SIGNAL_IND_0_ON "signal,indicator,0,on"

#define MSG_ID_TOGGLE_IND 1
#define MSG_ID_ANIM_IN_PROGRESS 3

#define SIGNAL_ANIM_FINISH "signal,animation,finished"
#define SIGNAL_LANG_IS_CHOSEN "signal,item,chosen"

#define MSG_ID_START_ANIM 1
#define MSG_ID_START_REVERSE_ANIM 2

#define EDJ_BUTTON "edje/button.edj"
#define GRP_BUTTON "button"
#define PART_BUTTON_BUTTON "button_button"

#define SIGNAL_BUTTON_CLICKED "singal,button,clicked"

#endif
